org.wildfly.swarm.config.logging

## Class LogFile<T extends LogFile<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.logging.LogFile<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class LogFile<T extends LogFile<T>>
      extends HashMap

  Log files that are available to be read.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogFile(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Long` | `fileSize()` The size of the log file in bytes.
    `T` | `fileSize(Long value)` The size of the log file in bytes.
    `String` | `getKey()`
    `Long` | `lastModifiedTime()` The date, in milliseconds, the file was last modified.
    `T` | `lastModifiedTime(Long value)` The date, in milliseconds, the file was last modified.
    `String` | `lastModifiedTimestamp()` The date, in ISO 8601 format, the file was last modified.
    `T` | `lastModifiedTimestamp(String value)` The date, in ISO 8601 format, the file was last modified.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Long` | `stream()` Provides the server log as a response attachment.
    `T` | `stream(Long value)` Provides the server log as a response attachment.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### LogFile

          public LogFile(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### fileSize

          public Long fileSize()

      The size of the log file in bytes.

    - #### fileSize

          public T fileSize(Long value)

      The size of the log file in bytes.

    - #### lastModifiedTime

          public Long lastModifiedTime()

      The date, in milliseconds, the file was last modified.

    - #### lastModifiedTime

          public T lastModifiedTime(Long value)

      The date, in milliseconds, the file was last modified.

    - #### lastModifiedTimestamp

          public String lastModifiedTimestamp()

      The date, in ISO 8601 format, the file was last modified.

    - #### lastModifiedTimestamp

          public T lastModifiedTimestamp(String value)

      The date, in ISO 8601 format, the file was last modified.

    - #### stream

          public Long stream()

      Provides the server log as a response attachment. The response result value is the unique id of the attachment.

    - #### stream

          public T stream(Long value)

      Provides the server log as a response attachment. The response result value is the unique id of the attachment.

Copyright © 2018 JBoss by Red Hat. All rights reserved.